# Class CIM_UserContact
extends CIM_UserEntity

UserContact contains the details related to contacting a user. This information will be promoted to UserEntity in a later major release of CIM, but cannot be promoted at this time since UserEntity is abstract today, with no keys. Key and required properties cannot be added to a class in a minor version release since this breaks backward compatibility.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_OrganizationalEntity
|
+--CIM_UserEntity
|
+--CIM_UserContact

## Direct Known Subclasses

CIM_Person

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | UserContact contains the details related to contacting a user. This information will be promoted to UserEntity in a later major release of CIM, but cannot be promoted at this time since UserEntity is abstract today, with no keys. Key and required properties cannot be added to a class in a minor version release since this breaks backward compatibility.
UMLPackagePath | string | CIM::User::Org
Version | string | 2.33.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
GivenName | string |
Description | string | The Given Name property is used for the part of a person's name that is not their surname nor their middle name (i.e., their first name).
LocalityName | string |
Description | string | This property contains the name of a locality, such as a city, county or other geographic region.
Mail | string |
Description | string | Based on RFC1274, the mail box addresses for the person as defined in RFC822.
Name | string |
Description | string | The Name property defines the label by which the object is known. In the case of an LDAP-derived instance, the Name property value may be set to the distinguished name of the LDAP-accessed object instance.
Key | boolean | true
MaxLen | uint32 | 1024
PostalCode | string |
Description | string | The PostalCode property specifies the postal code of the organization. If this value is present it will be part of the object's postal address.
MaxLen | uint32 | 40
StateOrProvince | string |
Description | string | The State or Province name property specifies a state or province.
Surname | string |
Description | string | The Surname property specifies the linguistic construct that normally is inherited by an individual from the individual's parent or assumed by marriage, and by which the individual is commonly known.
TelephoneNumber | string |
Description | string | The TelephoneNumber property specifies a telephone number of the organization, e.g. + 44 582 10101).
MaxLen | uint32 | 32
UserID | string |
Description | string | A User ID property. Based on RFC1274, the property may be used to specify a computer system login name.
PostalAddress | string[] |
Description | string | The PostalAddress property values specify the address information required for the physical delivery of postal messages by the postal authority to the person.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods